> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# deleteMessage

> Permanently deletes a [Message](#schema_message). It cannot be undone.



## OpenAPI

````yaml /runtime-openapi.json delete /v1/chat/messages/{id}
openapi: 3.0.0
info:
  title: Botpress Runtime API
  description: API for Botpress Runtime
  version: 1.112.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/chat/messages/{id}:
    delete:
      tags:
        - Endpoints
      description: Permanently deletes a [Message](#schema_message). It cannot be undone.
      operationId: deleteMessage
      parameters:
        - name: id
          in: path
          description: Message id
          required: true
          schema:
            type: string
        - name: x-bp-authenticated-principal
          in: header
          description: Authenticated principal. Injected by the authentication middleware.
          required: true
          schema:
            type: string
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
        - name: x-real-ip
          in: header
          description: Caller's IP address. Injected by the edge proxy.
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/deleteMessageResponse'
        default:
          $ref: '#/components/responses/deleteMessageResponse'
components:
  responses:
    deleteMessageResponse:
      description: Returns the [Message](#schema_message) object that was deleted
      content:
        application/json:
          schema:
            type: object
            title: deleteMessageResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````